// config.js
export function saveConfig(key, value) {
    // 使用 uni.setStorageSync 保存配置
    uni.setStorageSync(key, value);
}

export function getConfig(key, defaultValue) {
    // 使用 uni.getStorageSync 获取配置，如果没有则返回默认值
    return uni.getStorageSync(key) || defaultValue;
}

export function getServerIPAndPort() {
    var serverIP = getConfig('serverIP', '192.168.18.200');
    var serverPort = getConfig('serverPort', '8888');
	return serverIP + ':' + serverPort;
}